Package org.mariadb.jdbc.util.constants

## Class StateChange

- java.lang.Object
- - org.mariadb.jdbc.util.constants.StateChange

    public final class StateChange
    extends Object

OK_PACKET state change flags

### Field Summary

Fields
`static short` `SESSION_TRACK_GTIDS` GTID change
`static short` `SESSION_TRACK_SCHEMA` schema change
`static short` `SESSION_TRACK_STATE_CHANGE` state change
`static short` `SESSION_TRACK_SYSTEM_VARIABLES` system variable change
`static short` `SESSION_TRACK_TRANSACTION_CHARACTERISTICS` transaction characteristics change
`static short` `SESSION_TRACK_TRANSACTION_STATE` transaction state change

### Constructor Summary

Constructors
`StateChange()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SESSION_TRACK_SYSTEM_VARIABLES

    public static final short SESSION_TRACK_SYSTEM_VARIABLES

system variable change

See Also:
  Constant Field Values

#### SESSION_TRACK_SCHEMA

    public static final short SESSION_TRACK_SCHEMA

schema change

See Also:
  Constant Field Values

#### SESSION_TRACK_STATE_CHANGE

    public static final short SESSION_TRACK_STATE_CHANGE

state change

See Also:
  Constant Field Values

#### SESSION_TRACK_GTIDS

    public static final short SESSION_TRACK_GTIDS

GTID change

See Also:
  Constant Field Values

#### SESSION_TRACK_TRANSACTION_CHARACTERISTICS

    public static final short SESSION_TRACK_TRANSACTION_CHARACTERISTICS

transaction characteristics change

See Also:
  Constant Field Values

#### SESSION_TRACK_TRANSACTION_STATE

    public static final short SESSION_TRACK_TRANSACTION_STATE

transaction state change

See Also:
  Constant Field Values

### Constructor Detail

#### StateChange

    public StateChange()